# Generated by `rjournal_article()` using `knitr::purl()`: do not edit by hand
# Please edit salmeron-etal.Rmd to modify this file

## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set(echo = FALSE, warning = FALSE, message = FALSE)
library(rjtools)
library(ISLR)
library(remotes)
library(mcvis)
library(plotly)
library(ggplot2)
library(multiColl)
library(tourr)
library(gifski)


## ----simulation 1, cache = TRUE-----------------------------------------------
  set.seed(2021)
  n = 100
  X2_S1 = rnorm(n, 10, 10)
  X3_S1 = rnorm(n, 10, 10)
  p = rnorm(n, 1, 0.5)
  X4_S1 = X3_S1 - p

  cte_S1 = rep(1, n)
  X_S1 = cbind(cte_S1, X2_S1, X3_S1, X4_S1)

## ----Results simulation 1, cache = TRUE, echo = TRUE--------------------------
  RdetR(X_S1)
  CNs(X_S1)
  VIF(X_S1)
  CVs(X_S1)


## ----Simulation1MCIndex, cache = TRUE, include=FALSE--------------------------
  ite = 100
  esencial.mcvis.eu = matrix(-1, nrow = ite, ncol = 3) # almaceno en cada fila los MC index
  esencial.mcvis.st = matrix(-1, nrow = ite, ncol = 3)
  for (i in 1:ite){
    eu = mcvis(X_S1[,-1], standardise_method="euclidean")
    esencial.mcvis.eu[i,] = as.double(eu$MC[3,]) 
    #
    st = mcvis(X_S1[,-1], standardise_method="studentise")
    esencial.mcvis.st[i,] = as.double(st$MC[3,]) 
    #
  }


## ----Simulation1randomlatex, eval=knitr::is_latex_output(), tab.cap="MC index for Simulation 1."----
  Simulation1_random<-data.frame(
    "euclidean random 1" = c(round(c(esencial.mcvis.eu[26,]),digits=7)),
    "euclidean random 2" = c(round(c(esencial.mcvis.eu[23,]),digits=7)),
    "euclidean random 3" = c(round(c(esencial.mcvis.eu[57,]),digits=7)),
    "euclidean average" = c(round(as.numeric(colMeans(esencial.mcvis.eu),na.rm=T),digits=7)),
    "euclidean sd" = c(round(c(sd(esencial.mcvis.eu[,1]), sd(esencial.mcvis.eu[,2]), sd(esencial.mcvis.eu[,3])),digits=7)),
    "studentise random 1" = c(round(c(esencial.mcvis.st[37,]),digits=7)),
    "studentise random 2" = c(round(c(esencial.mcvis.st[6,]),digits=7)),
    "studentise random 3" = c(round(c(esencial.mcvis.st[3,]),digits=7)),
    "studentise average" = c(round(as.numeric(colMeans(esencial.mcvis.st),na.rm=T),digits=7)),
    "studentise sd" = c(round(c(sd(esencial.mcvis.st[,1]), sd(esencial.mcvis.st[,2]), sd(esencial.mcvis.st[,3])),digits=7))
  )
  Simulation1_random = t(Simulation1_random)
  rownames(Simulation1_random)=c("Euclidean - Random 1", "Euclidean - Random 2", "Euclidean - Random 3", "Euclidean - Average", "Euclidean - Standard Deviation", "Studentise - Random 1", "Studentise - Random 2", "Studentise - Random 3", "Studentise - Average", "Studentise - Standard Deviation")
  knitr::kable(Simulation1_random, format="latex", col.names=c("X2","X3","X4"), caption="MC index for Simulation 1. Three random iterations, the average value of the 100 times and the standard deviation for euclidian and studentise transformations.", align ="cccc")


## ----Simulation1randomhtml, eval=knitr::is_html_output(), tab.cap="MC index for Simulation 1"----
#>   Simulation1_random<-data.frame(
#>     "euclidean random 1" = c(round(c(esencial.mcvis.eu[26,]),digits=7)),
#>     "euclidean random 2" = c(round(c(esencial.mcvis.eu[23,]),digits=7)),
#>     "euclidean random 3" = c(round(c(esencial.mcvis.eu[57,]),digits=7)),
#>     "euclidean average" = c(round(as.numeric(colMeans(esencial.mcvis.eu),na.rm=T),digits=7)),
#>     "euclidean sd" = c(round(c(sd(esencial.mcvis.eu[,1]), sd(esencial.mcvis.eu[,2]), sd(esencial.mcvis.eu[,3])),digits=7)),
#>     "studentise random 1" = c(round(c(esencial.mcvis.st[37,]),digits=7)),
#>     "studentise random 2" = c(round(c(esencial.mcvis.st[6,]),digits=7)),
#>     "studentise random 3" = c(round(c(esencial.mcvis.st[3,]),digits=7)),
#>     "studentise average" = c(round(as.numeric(colMeans(esencial.mcvis.st),na.rm=T),digits=7)),
#>     "studentise sd" = c(round(c(sd(esencial.mcvis.st[,1]), sd(esencial.mcvis.st[,2]), sd(esencial.mcvis.st[,3])),digits=7))
#>   )
#>   Simulation1_random = t(Simulation1_random)
#>   rownames(Simulation1_random)=c("Euclidean - Random 1", "Euclidean - Random 2", "Euclidean - Random 3", "Euclidean - Average", "Euclidean - Standard Deviation", "Studentise - Random 1", "Studentise - Random 2", "Studentise - Random 3", "Studentise - Average", "Studentise - Standard Deviation")
#>   knitr::kable(Simulation1_random, format="html", col.names=c("X2","X3","X4"), caption="MC index for Simulation 1. Three random iterations, the average value of the 100 times and the standard deviation for euclidian and studentise transformations.", align ="cccc")


## ----simulation 2, cache = TRUE-----------------------------------------------
set.seed(2021)
n = 100
X2_S2 = rnorm(n, 10, 10)
X3_S2 = rnorm(n, 10, 10)
X4_S2 = rnorm(n, 10, 0.01)

cte_S2 = rep(1, n)
X_S2 = cbind(cte_S2, X2_S2, X3_S2, X4_S2)

## ----Results simulation 2, cache = TRUE, echo = TRUE--------------------------
RdetR(X_S2)
CNs(X_S2)
VIF(X_S2)
CVs(X_S2)


## ----Simulation 2 MC Index, cache = TRUE, include=FALSE-----------------------
ite = 100
nonesencial.mcvis.eu = matrix(-1, nrow = ite, ncol = 3) # almaceno en cada fila los MC index 
nonesencial.mcvis.st = matrix(-1, nrow = ite, ncol = 3)
for (i in 1:ite){
  eu = mcvis(X_S2[,-1], standardise_method="euclidean")
  nonesencial.mcvis.eu[i,] = as.double(eu$MC[3,]) 
  #
  st = mcvis(X_S2[,-1], standardise_method="studentise")
  nonesencial.mcvis.st[i,] = as.double(st$MC[3,]) 
  #
}


## ----Simulation2randomlatex, eval=knitr::is_latex_output(), tab.cap="MC index for Simulation 2"----
Simulation2_random<-data.frame(
  'euclidean random 1'=c(round(c(nonesencial.mcvis.eu[8,]),digits=7)),
  'euclidean random 2'=c(round(c(nonesencial.mcvis.eu[3,]),digits=7)),
  'euclidean random 3'=c(round(c(nonesencial.mcvis.eu[47,]),digits=7)),
  "euclidean average"=c(round(as.numeric(colMeans(nonesencial.mcvis.eu),na.rm=T),digits=7)),
  "euclidean sd" = c(round(c(sd(nonesencial.mcvis.eu[,1]), sd(nonesencial.mcvis.eu[,2]), sd(nonesencial.mcvis.eu[,3])),digits=7)),
  'studentise random 1'=c(round(c(nonesencial.mcvis.st[3,]),digits=7)),
  'studentise random 2'=c(round(c(nonesencial.mcvis.st[14,]),digits=7)),
  'studentise random 3'=c(round(c(nonesencial.mcvis.st[53,]),digits=7)),
  "studentise average"=c(round(as.numeric(colMeans(nonesencial.mcvis.st),na.rm=T),digits=7)),
  "studentise sd" = c(round(c(sd(nonesencial.mcvis.st[,1]), sd(nonesencial.mcvis.st[,2]), sd(nonesencial.mcvis.st[,3])),digits=7))
)
Simulation2_random = t(Simulation2_random)
rownames(Simulation2_random)=c("Euclidean - Random 1", "Euclidean - Random 2", "Euclidean - Random 3", "Euclidean - Average", "Euclidean - Standard Deviation", "Studentise - Random 1", "Studentise - Random 2", "Studentise - Random 3", "Studentise - Average", "Studentise - Standard Deviation")
knitr::kable(Simulation2_random, format="latex", col.names =c("X2","X3","X4"),  caption="MC index for Simulation 2. Three random iterations, the average value of the 100 times and the standard deviation for euclidian and studentise transformations.", align ="ccccc")


## ----Simulation2randomhtml, eval=knitr::is_html_output(), tab.cap="MC index for Simulation 2"----
#> Simulation2_random<-data.frame(
#>   'euclidean random 1'=c(round(c(nonesencial.mcvis.eu[8,]),digits=7)),
#>   'euclidean random 2'=c(round(c(nonesencial.mcvis.eu[3,]),digits=7)),
#>   'euclidean random 3'=c(round(c(nonesencial.mcvis.eu[47,]),digits=7)),
#>   "euclidean average"=c(round(as.numeric(colMeans(nonesencial.mcvis.eu),na.rm=T),digits=7)),
#>   "euclidean sd" = c(round(c(sd(nonesencial.mcvis.eu[,1]), sd(nonesencial.mcvis.eu[,2]), sd(nonesencial.mcvis.eu[,3])),digits=7)),
#>   'studentise random 1'=c(round(c(nonesencial.mcvis.st[3,]),digits=7)),
#>   'studentise random 2'=c(round(c(nonesencial.mcvis.st[14,]),digits=7)),
#>   'studentise random 3'=c(round(c(nonesencial.mcvis.st[53,]),digits=7)),
#>   "studentise average"=c(round(as.numeric(colMeans(nonesencial.mcvis.st),na.rm=T),digits=7)),
#>   "studentise sd" = c(round(c(sd(nonesencial.mcvis.st[,1]), sd(nonesencial.mcvis.st[,2]), sd(nonesencial.mcvis.st[,3])),digits=7))
#> )
#> Simulation2_random = t(Simulation2_random)
#> rownames(Simulation2_random)=c("Euclidean - Random 1", "Euclidean - Random 2", "Euclidean - Random 3", "Euclidean - Average", "Euclidean - Standard Deviation", "Studentise - Random 1", "Studentise - Random 2", "Studentise - Random 3", "Studentise - Average", "Studentise - Standard Deviation")
#> knitr::kable(Simulation2_random, format="html", col.names =c("X2","X3","X4"),  caption="MC index for Simulation 2. Three random iterations, the average value of the 100 times and the standard deviation for euclidian and studentise transformations.", align ="ccccc")


## ----simulation 3, cache = TRUE-----------------------------------------------
set.seed(2021)
n = 100
X2_S3 = rnorm(n, 10, 10)
X3_S3 = rnorm(n, 10, 10)
X4_S3 = rnorm(n, 10, 10)

cte_S3 = rep(1, n)
X_S3 = cbind(cte_S3, X2_S3, X3_S3, X4_S3)    

## ----Results simulation 3, cache = TRUE, echo = TRUE--------------------------
RdetR(X_S3)
CNs(X_S3)
VIF(X_S3)
CVs(X_S3)


## ----Simulation 3 MC Index, cache = TRUE, include=FALSE-----------------------
ite = 100
without.mcvis.eu = matrix(-1, nrow = ite, ncol = 3) # almaceno en cada fila los MC index 
without.mcvis.st = matrix(-1, nrow = ite, ncol = 3)
for (i in 1:ite){
  eu = mcvis(X_S3[,-1], standardise_method="euclidean")
  without.mcvis.eu[i,] = as.double(eu$MC[3,]) 
  #
  st = mcvis(X_S3[,-1], standardise_method="studentise")
  without.mcvis.st[i,] = as.double(st$MC[3,]) 
  #
}


## ----Simulation3randomhtml, eval=knitr::is_html_output(), tab.cap="MC index for Simulation 3"----
#> Simulation3_random<-data.frame(
#>   'euclidean random 1'=c(round(c(without.mcvis.eu[2,]),digits=7)),
#>   'euclidean random 2'=c(round(c(without.mcvis.eu[43,]),digits=7)),
#>   'euclidean random 3'=c(round(c(without.mcvis.eu[51,]),digits=7)),
#>   "euclidean average"=c(round(as.numeric(colMeans(without.mcvis.eu),na.rm=T),digits=7)),
#>   "euclidean sd" = c(round(c(sd(without.mcvis.eu[,1]), sd(without.mcvis.eu[,2]), sd(without.mcvis.eu[,3])),digits=7)),
#>   'studentise random 1'=c(round(c(without.mcvis.st[1,]),digits=7)),
#>   'studentise random 2'=c(round(c(without.mcvis.st[46,]),digits=7)),
#>   'studentise random 3'=c(round(c(without.mcvis.st[51,]),digits=7)),
#>   "studentise average"=c(round(as.numeric(colMeans(without.mcvis.st),na.rm=T),digits=7)),
#>   "studentise sd" = c(round(c(sd(without.mcvis.st[,1]), sd(without.mcvis.st[,2]), sd(without.mcvis.st[,3])),digits=7))
#> )
#> Simulation3_random = t(Simulation3_random)
#> rownames(Simulation3_random)=c("Euclidean - Random 1", "Euclidean - Random 2", "Euclidean - Random 3", "Euclidean - Average", "Euclidean - Standard Deviation", "Studentise - Random 1", "Studentise - Random 2", "Studentise - Random 3", "Studentise - Average", "Studentise - Standard Deviation")
#> knitr::kable(Simulation3_random, format="html", col.names =c("X2","X3","X4"),  caption="MC index for Simulation 3. Three random iterations, the average value of the 100 times and the standard deviation for euclidian and studentise transformations.", align ="cccc")


## ----Simulation3randomlatex, eval=knitr::is_latex_output(), tab.cap="MC index for Simulation 3"----
Simulation3_random<-data.frame(
  'euclidean random 1'=c(round(c(without.mcvis.eu[2,]),digits=7)),
  'euclidean random 2'=c(round(c(without.mcvis.eu[43,]),digits=7)),
  'euclidean random 3'=c(round(c(without.mcvis.eu[51,]),digits=7)),
  "euclidean average"=c(round(as.numeric(colMeans(without.mcvis.eu),na.rm=T),digits=7)),
  "euclidean sd" = c(round(c(sd(without.mcvis.eu[,1]), sd(without.mcvis.eu[,2]), sd(without.mcvis.eu[,3])),digits=7)),
  'studentise random 1'=c(round(c(without.mcvis.st[1,]),digits=7)),
  'studentise random 2'=c(round(c(without.mcvis.st[46,]),digits=7)),
  'studentise random 3'=c(round(c(without.mcvis.st[51,]),digits=7)),
  "studentise average"=c(round(as.numeric(colMeans(without.mcvis.st),na.rm=T),digits=7)),
  "studentise sd" = c(round(c(sd(without.mcvis.st[,1]), sd(without.mcvis.st[,2]), sd(without.mcvis.st[,3])),digits=7))
)
Simulation3_random = t(Simulation3_random)
rownames(Simulation3_random)=c("Euclidean - Random 1", "Euclidean - Random 2", "Euclidean - Random 3", "Euclidean - Average", "Euclidean - Standard Deviation", "Studentise - Random 1", "Studentise - Random 2", "Studentise - Random 3", "Studentise - Average", "Studentise - Standard Deviation")
knitr::kable(Simulation3_random, format="latex", col.names =c("X2","X3","X4"),  caption="MC index for Simulation 3. Three random iterations, the average value of the 100 times and the standard deviation for euclidian and studentise transformations.", align ="cccc")


## ----Example1Datalatex, eval = knitr::is_latex_output(), tab.cap="Data set for example 1"----
table01=data.frame(
  Euribor=c(3.63,3.90,3.45,3.01,2.54,2.23,2.20,2.36,2.14,2.29,2.35,2.32,2.32,2.19,2.20,2.63,2.95,3.31,3.62,3.60,4.09,4.38,4.65,4.68,4.48,5.05,5.37,4.34,2.22,1.67,1.34,1.24,1.22,1.25,1.40,1.52,1.74,2.13,2.11,2.06,1.67,1.28,0.90,0.60,0.57,0.51,0.54),
  HIPC=c(92.92,  93.85,  93.93,  94.41,  95.08,  95.73,  95.90,  96.40,  96.77,  97.97,  98.06,  98.67,  
         98.76,  99.96, 100.30, 100.97, 101.07, 102.44, 102.52, 102.79, 102.97, 104.38, 104.45, 105.77, 
         106.43, 108.18, 108.49, 108.21, 107.46, 108.37, 108.08, 108.67, 108.67, 110.12, 109.95, 110.87, 
         111.36, 113.15, 112.91, 114.12, 114.35, 115.93, 115.78, 116.75, 116.47, 117.55, 117.34),
  BC=c(17211,   2724,  17232,   9577,   4117,  -2134,   6117,  10949,  18360,  13646,   8424,  14319,   
       3885,   4493,   -320,  -2736,  -6909,  -4848,  -4255,   1347,   8781,   8723,   3662, -17548, 
       -37041, -27624, -37723, -43584, -16070, -5029,   7294,     85,  -4399,  -2431,   2137,  -4345, 
       -12643,  -2272,  -3592,   8071,  12202,  35619,  42161,  43880,  52483,  56376,  48981),
  GD=c(-51384.0,  -49567.1,  -52128.4,  -53593.3,  -65480.0,  -50343.8,  -75646.4,  -59120.8,  -69246.3,  
       -60313.8,  -56782.9,  -55313.1,  -67034.4,  -61942.8,  -46258.4,  -43761.4,  -37562.6,  -35609.6,  
       -27064.0,  -32497.2,  -18389.0,   -9923.5,   -9727.0,  -23729.9,  -28909.3,  -46527.0,  -49654.0,  
       -81729.7, -121227.5, -142580.9, -164699.2, -152269.2, -162477.4, -128366.4, -169848.0, -129290.2, 
       -104646.7, -103143.8, -102621.8, -104240.4, -82309.3,  -91620.9,  -85054.4,  -99998.2,  -81287.1,  -77738.8,  -73003.3)
)
knitr::kable(table01, format="latex", caption="Data set for example . @Salmeron2020a", align ="cccc")


## ----Example1Datahtml, eval=knitr::is_html_output(), tab.cap="Data set for example 1"----
#> table01=data.frame(
#>   Euribor=c(3.63,3.90,3.45,3.01,2.54,2.23,2.20,2.36,2.14,2.29,2.35,2.32,2.32,2.19,2.20,2.63,2.95,3.31,3.62,3.60,4.09,4.38,4.65,4.68,4.48,5.05,5.37,4.34,2.22,1.67,1.34,1.24,1.22,1.25,1.40,1.52,1.74,2.13,2.11,2.06,1.67,1.28,0.90,0.60,0.57,0.51,0.54),
#>   HIPC=c(92.92,  93.85,  93.93,  94.41,  95.08,  95.73,  95.90,  96.40,  96.77,  97.97,  98.06,  98.67,
#>          98.76,  99.96, 100.30, 100.97, 101.07, 102.44, 102.52, 102.79, 102.97, 104.38, 104.45, 105.77,
#>          106.43, 108.18, 108.49, 108.21, 107.46, 108.37, 108.08, 108.67, 108.67, 110.12, 109.95, 110.87,
#>          111.36, 113.15, 112.91, 114.12, 114.35, 115.93, 115.78, 116.75, 116.47, 117.55, 117.34),
#>   BC=c(17211,   2724,  17232,   9577,   4117,  -2134,   6117,  10949,  18360,  13646,   8424,  14319,
#>        3885,   4493,   -320,  -2736,  -6909,  -4848,  -4255,   1347,   8781,   8723,   3662, -17548,
#>        -37041, -27624, -37723, -43584, -16070, -5029,   7294,     85,  -4399,  -2431,   2137,  -4345,
#>        -12643,  -2272,  -3592,   8071,  12202,  35619,  42161,  43880,  52483,  56376,  48981),
#>   GD=c(-51384.0,  -49567.1,  -52128.4,  -53593.3,  -65480.0,  -50343.8,  -75646.4,  -59120.8,  -69246.3,
#>        -60313.8,  -56782.9,  -55313.1,  -67034.4,  -61942.8,  -46258.4,  -43761.4,  -37562.6,  -35609.6,
#>        -27064.0,  -32497.2,  -18389.0,   -9923.5,   -9727.0,  -23729.9,  -28909.3,  -46527.0,  -49654.0,
#>        -81729.7, -121227.5, -142580.9, -164699.2, -152269.2, -162477.4, -128366.4, -169848.0, -129290.2,
#>        -104646.7, -103143.8, -102621.8, -104240.4, -82309.3,  -91620.9,  -85054.4,  -99998.2,  -81287.1,  -77738.8,  -73003.3)
#> )
#> knitr::kable(table01, format="html", caption="Data set for example 1. @Salmeron2020a", align ="cccc")


## ---- include=FALSE-----------------------------------------------------------
HIPC = c(92.92,  93.85,  93.93,  94.41,  95.08,  95.73,  95.90,  96.40,  96.77,  97.97,  98.06,  98.67,  
         98.76,  99.96, 100.30, 100.97, 101.07, 102.44, 102.52, 102.79, 102.97, 104.38, 104.45, 105.77, 
         106.43, 108.18, 108.49, 108.21, 107.46, 108.37, 108.08, 108.67, 108.67, 110.12, 109.95, 110.87, 
         111.36, 113.15, 112.91, 114.12, 114.35, 115.93, 115.78, 116.75, 116.47, 117.55, 117.34)
BC = c(17211,   2724,  17232,   9577,   4117,  -2134,   6117,  10949,  18360,  13646,   8424,  14319,   
       3885,   4493,   -320,  -2736,  -6909,  -4848,  -4255,   1347,   8781,   8723,   3662, -17548, 
       -37041, -27624, -37723, -43584, -16070, -5029,   7294,     85,  -4399,  -2431,   2137,  -4345, 
       -12643,  -2272,  -3592,   8071,  12202,  35619,  42161,  43880,  52483,  56376,  48981)
GD = c(-51384.0,  -49567.1,  -52128.4,  -53593.3,  -65480.0,  -50343.8,  -75646.4,  -59120.8,  -69246.3,  
       -60313.8,  -56782.9,  -55313.1,  -67034.4,  -61942.8,  -46258.4,  -43761.4,  -37562.6,  -35609.6,  
       -27064.0,  -32497.2,  -18389.0,   -9923.5,   -9727.0,  -23729.9,  -28909.3,  -46527.0,  -49654.0,  
       -81729.7, -121227.5, -142580.9, -164699.2, -152269.2, -162477.4, -128366.4, -169848.0, -129290.2, 
       -104646.7, -103143.8, -102621.8, -104240.4, -82309.3,  -91620.9,  -85054.4,  -99998.2,  -81287.1,  -77738.8,  -73003.3)


## ----Example1, cache = TRUE---------------------------------------------------
n = length(HIPC)
cte = rep(1, n)
data1 = cbind(cte, HIPC, BC, GD)


## ----Results Example1, cache = TRUE, echo = TRUE------------------------------
RdetR(data1)
CNs(data1)
VIF(data1)
CVs(data1)


## ---- include=FALSE-----------------------------------------------------------
render(data1[,-1], grand_tour(d=2), display_xy(), "png",
       apf=2, frames=1, "Example1plot1.png"
)
render(data1[,-1], grand_tour(d=2), display_xy(), "png",
       apf=30, frames=10, "Example1plot2.png"
)
render(data1[,-1], grand_tour(d=2), display_xy(), "png",
       apf=40, frames=10, "Example1plot3.png"
)
render(data1[,-1], grand_tour(d=2), display_xy(), "png",
       apf=50, frames=10, "Example1plot4.png"
)


## ----Example1-static, eval=knitr::is_latex_output(), out.width="50%", fig.show="hold", fig.cap="Representation  of example 1 using the R tourr package. No linear relationship is observed between the explanatory variables. See html version for an interactive 2-D tour."----
knitr::include_graphics(rep(c("Example1plot1.png","Example1plot2.png","Example1plot3.png","Example1plot4.png"),1))


## ---- include=FALSE-----------------------------------------------------------
render_gif(data1[,-1], grand_tour(d=2), display_xy(), gif_file="animation1.gif", apf=1/10, frames=2085, start=NULL)


## ----Example1-interactive, eval=knitr::is_html_output(), fig.cap="An interactive 2-D tour for example 1 by using the R tourr package. No linear relationship is observed between the explanatory variables."----
#> knitr::include_graphics("animation1.gif")


## ----Example1_MCindex euclidian, tab.cap="MC index results for example 1 with Euclidian transformation"----
set.seed(2022)
mcvis(data1[,-1], standardise_method="euclidean")


## ----Example1_MCindex studentise, tab.cap="MC index results for example 1 with Studentise transformation"----
mcvis(data1[,-1], standardise_method="studentise")


## ----Example2, cache = TRUE---------------------------------------------------
attach(Credit)
#str(Credit)

n = length(Balance)
cte = rep(1, n)
data2 = cbind(cte, Income, Limit, Rating, Cards, Age, Education)


## ----Results Example2, cache = TRUE, echo = TRUE------------------------------
RdetR(data2)
CNs(data2)
VIF(data2)
CVs(data2)


## ---- include=FALSE-----------------------------------------------------------
render(data2[,-1], grand_tour(d=2), display_xy(), "png",
       apf=2, frames=1, "Example2plot1.png"
)
render(data2[,-1], grand_tour(d=2), display_xy(), "png",
       apf=30, frames=10, "Example2plot2.png"
)
render(data2[,-1], grand_tour(d=2), display_xy(), "png",
       apf=40, frames=10, "Example2plot3.png"
)
render(data2[,-1], grand_tour(d=2), display_xy(), "png",
       apf=50, frames=10, "Example2plot4.png"
)


## ----Example2-static, eval=knitr::is_latex_output(), out.width="50%", fig.show="hold", fig.cap="Representation  of example 2 using the R tourr package. A certain linear relationship bewteen independent variables is observed. See html version for an interactive 2-D tour."----
knitr::include_graphics(rep(c("Example2plot1.png","Example2plot2.png","Example2plot3.png","Example2plot4.png"),1))


## ---- include=FALSE-----------------------------------------------------------
render_gif(data2[,-1], grand_tour(d=2), display_xy(), gif_file="animation2.gif", apf=1/10, frames=2085, start=NULL)


## ----Example2-interactive, eval=knitr::is_html_output(), fig.cap="An interactive 2-D tour for example 2 by using the R tourr package. A certain linear relationship bewteen independent variables is observed."----
#> knitr::include_graphics("animation2.gif")


## ----Example2_MCindex euclidian, tab.cap="MC index results for example 2 with Euclidian transformation"----
set.seed(2022)
mcvis(data2[,-1], standardise_method="euclidean")


## ----Example2_MCindex studentise, tab.cap="MC index results for example 2 with Studentise transformation"----
mcvis(data2[,-1], standardise_method="studentise")


## ----FigureS1,  fig.cap="Representation of the VIFs and CVs of explanatory variables in Simulation 1.  A troubling degree of essential multicollinearity due to variables 3 and 4 is detected by considering thresholds of 0.1002506 (CV) and 10  (VIF) highlighted with red lines."----
vifs = VIF(X_S1)
cvs = CVs(X_S1)
plot(cvs, vifs, col="blue", lwd=3, xlim=c(0, max(cvs)), ylim=c(0, max(vifs)), xlab="Coefficient of Variation", ylab="Variance Inflation Factor")
abline(h=10, col="red", lwd=2, lty=2)
# lty: 0=blank, 1=solid (default), 2=dashed, 3=dotted, 4=dotdash, 5=longdash, 6=twodash
abline(v=0.1002506, col="red", lwd=2, lty=3)
text(0.05, 3, "A")
text(0.05, (10+max(vifs))/2, "B")
text((0.01+max(cvs))/2, (10+max(vifs))/2, "C")
text((0.01+max(cvs))/2, 3, "D")
text(cvs, vifs+12, labels = c("2","3","4"))


## ----FigureS2, fig.cap="Representation of the VIFs and CVs of explanatory variables in Simulation 2.  A troubling degree of non-essential multicollinearity due to variable 4 is detected by considering thresholds of 0.1002506 (CV) and 10  (VIF) highlighted with red lines."----
vifs = VIF(X_S2)
cvs = CVs(X_S2)
plot(cvs, vifs, col="blue", lwd=3, xlim=c(0, max(cvs)), ylim=c(0, max(vifs)+10), xlab="Coefficient of Variation", ylab="Variance Inflation Factor")
abline(h=10, col="red", lwd=2, lty=2)
abline(v=0.1002506, col="red", lwd=2, lty=3)
text(0.05, 3, "A")
text(0.05, (10+max(vifs)+10)/2, "B")
text((0.01+max(cvs))/2, (10+max(vifs)+10)/2, "C")
text((0.01+max(cvs))/2, 3, "D")
text(cvs+0.03, vifs, labels = c("2","3","4"))


## ----FigureS3, fig.cap="Representation of the VIFs and CVs of explanatory variables in Simulation 3 . The degree of  multicollinearity is not troubling by considering thresholds of 0.1002506 (CV) and 10 (VIF) highlighted with red lines."----
vifs = VIF(X_S3)
cvs = CVs(X_S3)
plot(cvs, vifs, col="blue", lwd=3, xlim=c(0, max(cvs)), ylim=c(0, max(vifs)+10), xlab="Coefficient of Variation", ylab="Variance Inflation Factor")
abline(h=10, col="red", lwd=2, lty=2)
abline(v=0.1002506, col="red", lwd=2, lty=3)
text(0.05, 3, "A")
text(0.05, (10+max(vifs)+10)/2, "B")
text((0.01+max(cvs))/2, (10+max(vifs)+10)/2, "C")
text((0.01+max(cvs))/2, 3, "D")
text(cvs, vifs+0.4, labels = c("2","3","4"))


## ----FigureExample1, fig.cap="Representation of the VIFs and CVs of the variables of example 1. A troubling degree of non-essential multicollinearity generated by variable 2 (HIPC) by considering thresholds of 0.1002506 (CV) and 10  (VIF) highlighted with red lines."----
vifs = VIF(data1)
cvs = CVs(data1)
plot(cvs, vifs, col="blue", lwd=3, xlim=c(0, max(cvs)), ylim=c(0, max(vifs)+10), xlab="Coefficient of Variation", ylab="Variance Inflation Factor")
abline(h=10, col="red", lwd=2, lty=2)
abline(v=0.1002506, col="red", lwd=2, lty=3)
text(0.05, 3, "A")
text(0.05, (10+max(vifs)+10)/2, "B")
text((0.01+max(cvs))/2, (10+max(vifs)+10)/2, "C")
text((0.01+max(cvs))/2, 3, "D")
text(cvs, vifs+0.4, labels = c("2","3","4"))


## ----FigureExample2, fig.cap="Representation of the VIFs and CVs of the variables of example 2. A troubling degree of Essential multicollinearity generated by variables 3 and 4 (limit and rating) by considering thresholds of 0.1002506 (CV) and 10 (VIF) highlighted with red lines."----
vifs = VIF(data2)
cvs = CVs(data2)
plot(cvs, vifs, col="blue", lwd=3, xlim=c(0, max(cvs)), ylim=c(0, max(vifs)+10), xlab="Coefficient of Variation", ylab="Variance Inflation Factor")
abline(h=10, col="red", lwd=2, lty=2)
abline(v=0.1002506, col="red", lwd=2, lty=3)
text(0.05, 3, "A")
text(0.05, (10+max(vifs))/2, "B")
text((0.01+max(cvs))/2, (10+max(vifs)+10)/2, "C")
text((0.01+max(cvs))/2, 3, "D")
text(cvs-0.02, vifs+0.4, labels = c("2","3","4","5","6","7"))

